﻿@{ Layout = "~/Views/Shared/_BlankLayout.cshtml"; }

@Html.Partial("_PartialScript")


@using (Html.BeginForm("", "NQC", FormMethod.Post))
{
    <div>
        <table width="100%">
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Production Month";
                    }).GetHtml()
                </td>
                <td style="width:5px"></td>
                <td>
                    @Html.DevExpress().DateEdit( 
                        SetDate =>
                        {
                            SetDate.Name = "dtProductionMonth_C";
                            SetDate.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                            SetDate.Properties.ValidationSettings.ErrorText = "";
                            SetDate.Properties.DisplayFormatInEditMode = true;
                            SetDate.Properties.DisplayFormatString = "yyyyMM";
                            SetDate.Properties.EditFormatString = "yyyyMM";
                            SetDate.Properties.ClientSideEvents.DropDown = "OnDropDown";
                            SetDate.Properties.ClientSideEvents.Init = "OnInit";
                            SetDate.Properties.CalendarProperties.EnableYearNavigation = true;                                      
                            SetDate.Width = 100;
                        }).GetHtml()  
                </td>                
            </tr> 
            <tr>
                <td style="padding:5px"></td>
            </tr>   
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Parent Part No";
                    }).GetHtml()
                </td>
                <td style="width:5px"></td>
                <td>
                    @Html.DevExpress().TextBox(
                        settings => {
                            settings.Name = "txtParentPartNo_C";
                            settings.Width = 200;
                            settings.Properties.MaxLength = 25;
                        }
                    ).GetHtml()
                </td>
            </tr> 
            <tr>            
                <td colspan="7" style="padding:5px"><hr /></td>
            </tr>  
            <tr>
            <td colspan="4"></td>
                <td>
                    @Html.DevExpress().Button(
                        settings => {
                            settings.Name = "btnCalculateProcess";
                            settings.Text = "Calculate";
                            settings.Width = 70;
                            settings.Height = 25;
                            settings.ClientSideEvents.Click = "CalculateProcess";
                            settings.Style.Add("display", "inline-table");
                        }
                    ).GetHtml()
                </td>
                <td style="width:5px"></td>
                <td>
                     @Html.DevExpress().Button(
                        settings => {
                            settings.Name = "btnCloseCalculate";
                            settings.Text = "Close";
                            settings.Width = 70;
                            settings.Height = 25;
                            settings.ClientSideEvents.Click = "CloseCalculate";
                            settings.Style.Add("display", "inline-table");
                        }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}